using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/User_Set.aspx文件
    /// </summary>
    public class 编译扩展_Club_User_Set2 : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_User_Set2(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            编译器.方法库 += @"
		private void 修改设置提交()
		{
			int 一页显示记录数=Convert.ToInt32(Request.Form[""Page_Record""]);
			int 一页显示文字数=Convert.ToInt32(Request.Form[""Page_Text""]);
			int 一页显示图片数=Convert.ToInt32(Request.Form[""Page_Image""]);
			int 一页显示文件数=Convert.ToInt32(Request.Form[""Page_File""]);

			if(一页显示记录数<1||一页显示记录数>50)
				throw new Exception(""一页显示记录数只能在1-50之间"");
			if(一页显示文字数<50||一页显示文字数>10000)
				throw new Exception(""一页显示文字数只能在50-10000之间"");
			if(一页显示图片数<1||一页显示图片数>20)
				throw new Exception(""一页显示图片数只能在1-20之间"");
			if(一页显示文件数<1||一页显示文件数>50)
				throw new Exception(""一页显示文件数只能在1-50之间"");

			SqlCommand 语句=new SqlCommand(""UPDATE [""+程序.数据表前缀+""社区_用户_用户] SET ""+
				""[一页显示记录数]=@一页显示记录数,""+
				""[一页显示文字数]=@一页显示文字数,""+
				""[一页显示图片数]=@一页显示图片数,""+
				""[一页显示文件数]=@一页显示文件数 WHERE [ID]=""+访问.用户[""ID""],访问.连接);
			语句.Parameters.Add(""@一页显示记录数"",SqlDbType.Int).Value=一页显示记录数;
			语句.Parameters.Add(""@一页显示文字数"",SqlDbType.Int).Value=一页显示文字数;
			语句.Parameters.Add(""@一页显示图片数"",SqlDbType.Int).Value=一页显示图片数;
			语句.Parameters.Add(""@一页显示文件数"",SqlDbType.Int).Value=一页显示文件数;
			语句.ExecuteNonQuery();
		}
";
            return @"
		访问.验证会员();
		修改设置提交();
";
        }

        public string 编译公共标签(string 代码)
        {
            return "";
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}